curl -X PATCH https://api.chessplay.io/api/v1/classrooms/1/ \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{"name": "Updated Name"}'
import requests
headers = {"Authorization": "Bearer YOUR_ACCESS_TOKEN"}
data = {"name": "Updated Name"}
response = requests.patch(
"https://api.chessplay.io/api/v1/classrooms/1/",
headers=headers,
json=data
)
const response = await fetch('https://api.chessplay.io/api/v1/classrooms/1/', {
method: 'PATCH',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({ name: 'Updated Name' })
});
{
"id": 1,
"name": "Updated Name",
"description": "Introduction to chess",
"coach": {...},
"students": [],
"start_time": "2024-01-20T10:00:00Z",
"end_time": "2024-01-20T11:00:00Z",
"created": "2024-01-15T10:30:00Z"
}
Classrooms
Update Classroom
Update classroom information
PATCH
/
api
/
v1
/
classrooms
/
{id}
/
curl -X PATCH https://api.chessplay.io/api/v1/classrooms/1/ \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{"name": "Updated Name"}'
import requests
headers = {"Authorization": "Bearer YOUR_ACCESS_TOKEN"}
data = {"name": "Updated Name"}
response = requests.patch(
"https://api.chessplay.io/api/v1/classrooms/1/",
headers=headers,
json=data
)
const response = await fetch('https://api.chessplay.io/api/v1/classrooms/1/', {
method: 'PATCH',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({ name: 'Updated Name' })
});
{
"id": 1,
"name": "Updated Name",
"description": "Introduction to chess",
"coach": {...},
"students": [],
"start_time": "2024-01-20T10:00:00Z",
"end_time": "2024-01-20T11:00:00Z",
"created": "2024-01-15T10:30:00Z"
}
Path Parameters
integer
required
Classroom ID
Body Parameters
string
Classroom name
string
Classroom description
curl -X PATCH https://api.chessplay.io/api/v1/classrooms/1/ \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{"name": "Updated Name"}'
import requests
headers = {"Authorization": "Bearer YOUR_ACCESS_TOKEN"}
data = {"name": "Updated Name"}
response = requests.patch(
"https://api.chessplay.io/api/v1/classrooms/1/",
headers=headers,
json=data
)
const response = await fetch('https://api.chessplay.io/api/v1/classrooms/1/', {
method: 'PATCH',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({ name: 'Updated Name' })
});
{
"id": 1,
"name": "Updated Name",
"description": "Introduction to chess",
"coach": {...},
"students": [],
"start_time": "2024-01-20T10:00:00Z",
"end_time": "2024-01-20T11:00:00Z",
"created": "2024-01-15T10:30:00Z"
}
Admin only
Was this page helpful?
⌘I

